=== src/modules/rlm_acct_unique/Makefile ===
#
#  Make a unique Acct-Unique-Session-Id
#
#  Version:	$Id: 0d0ec1f074f7107b750bf203949efab5263a0c71 $
#
TARGET		= rlm_acct_unique
SRCS		= rlm_acct_unique.c

include ../rules.mak
