=== debian/changelog ===
freeradius (2.2.5+dfsg-0.2) unstable; urgency=high

  * Disable OpenSSL version check; Debian will maintain ABI stability or
    change the soname, Closes: #765871
    * Non-Maintainer Upload

 -- Sam Hartman <hartmans@debian.org>  Thu, 23 Oct 2014 21:45:36 -0400

freeradius (2.2.5+dfsg-0.1) unstable; urgency=medium

  * Non-maintainer Upload
    * Remove remnants of freeradius-dilaupadmin, Closes: #669741
    * Permit creating freerad to fail because user might exist, Closes: #661915
    * Update to standards version 3.9.5, no changes
  * New upstream version, Closes: #740857, #691770
    - Include dictionary.mikrotik, Closes: #672200

 -- Sam Hartman <hartmans@debian.org>  Tue, 30 Sep 2014 19:18:08 -0400
