## freeradius 2.2.8%2Bdfsg

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 #		NOTE: This top-level Makefile must not
 #		use GNU-make extensions. The lower ones can.
 #
-# Version:	$Id: 7be6a2763fad17395b113b06b4924ae515ef46a0 $
+# Version:	$Id$
 #
 
 include Make.inc
