=== src/modules/rlm_acct_unique/Makefile ===
#
#  Make a unique Acct-Unique-Session-Id
#
#  Version:	$Id$
#
TARGET		= rlm_acct_unique
SRCS		= rlm_acct_unique.c

include ../rules.mak
