=== src/modules/rlm_policy/Makefile ===
#
# Makefile
#
# Version:	$Id$
#

TARGET		= rlm_policy
SRCS		= rlm_policy.c parse.c evaluate.c
HEADERS		= rlm_policy.h
RLM_CFLAGS	=
RLM_LIBS	=

include ../rules.mak

$(LT_OBJS): $(HEADERS)
