=== src/modules/rlm_realm/Makefile ===
#
# Makefile
#
# Version:	$Id$
#

TARGET		= rlm_realm
SRCS		= rlm_realm.c

include ../rules.mak
