=== src/modules/rlm_replicate/Makefile ===
TARGET		= rlm_replicate
SRCS		= rlm_replicate.c
HEADERS		= 
RLM_CFLAGS	=
RLM_LIBS	= 

include ../rules.mak

$(STATIC_OBJS): $(HEADERS)

$(DYNAMIC_OBJS): $(HEADERS)
