=== debian/control ===
--- 
+++ 
@@ -19,10 +19,12 @@
  libpq-dev
 Section: net
 Priority: optional
-Maintainer: Josip Rodin <joy-packages@debian.org>
-Uploaders: Stephen Gran <sgran@debian.org>, Mark Hymers <mhy@debian.org>
-Standards-Version: 3.9.5
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Josip Rodin <joy-packages@debian.org>
+Uploaders: Stephen Gran <sgran@debian.org>, Mark Hymers <mhy@debian.org>, Sam Hartman <hartmans@debian.org>
+Standards-Version: 3.9.6h		    
 Homepage: http://www.freeradius.org/
+XS-Testsuite: autopkgtest
 
 Package: freeradius
 Architecture: any
