## freeradius 2.2.8+dfsg

=== doc/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #
 # Makefile
 #
-# Version:	$Id: aaf7675ac139ee0274dae8352fe60ccaf426dec8 $
+# Version:	$Id$
 #
 
 include ../Make.inc
