=== raddb/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #
 # Makefile
 #
-# Version:      $Id: d96366cd03b1f5149a68e223b1a1e0f7d25bf3a4 $
+# Version:      $Id$
 #
 
 include ../Make.inc
