=== scripts/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: 526c32134a98eef36b709f031c17536b1cc88e8b $
+# $Id$
 
 include ../Make.inc
