=== src/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #
 # Makefile
 #
-# Version:	$Id: b04e7b8cca65e4f37c96c79661a8a876a8aa339f $
+# Version:	$Id$
 #
 
 include ../Make.inc
