=== src/include/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #
 # Makefile
 #
-# Version:	$Id: 0439d37dd5217f3c2b281f8402684253983f4e6d $
+# Version:	$Id$
 #
 
 HEADERS	= autoconf.h conf.h conffile.h detail.h dhcp.h event.h hash.h heap.h \
