=== src/lib/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #
 # Makefile
 #
-# Version:      $Id: a715b01b31672189a65bb81482587fc721eff6aa $
+# Version:      $Id$
 #
 
 include ../../Make.inc
