=== src/tests/Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 ## Makefile -- Build and run tests for the server.
 ##
 ##	http://www.freeradius.org/
-##	$Id: e087687d070ab9ce0af58f4ccee2552471f39fea $
+##	$Id$
 ##
 #
 include ../../Make.inc
