=== src/modules/rlm_cache/Makefile ===
TARGET		= rlm_cache
SRCS		= rlm_cache.c
HEADERS		= 
RLM_CFLAGS	=
RLM_LIBS	= 

include ../rules.mak

$(STATIC_OBJS): $(HEADERS)

$(DYNAMIC_OBJS): $(HEADERS)
