=== src/modules/rlm_chap/Makefile ===
#
# Makefile
#
# Version:	$Id$
#

TARGET		= rlm_chap
SRCS		= rlm_chap.c

include ../rules.mak
