=== src/modules/rlm_logintime/Makefile ===
TARGET  = rlm_logintime
SRCS    = rlm_logintime.c timestr.c

include ../rules.mak
