=== debian/changelog ===
freeradius (2.2.8+dfsg-0.1ubuntu0.1) xenial-security; urgency=medium

  * SECURITY UPDATE: read/write overflow in make_secret()
    - debian/patches/CVE-2017-10978.patch: check lengths in
      src/lib/radius.c.
    - CVE-2017-10978
  * SECURITY UPDATE: write overflow in rad_coalesce
    - debian/patches/CVE-2017-10979.patch: check for long attributes in
      src/lib/dhcp.c, src/lib/radius.c.
    - CVE-2017-10979
  * SECURITY UPDATE: memory leak in decode_tlv()
    - debian/patches/CVE-2017-10980.patch: fix memory leak in
      src/lib/dhcp.c.
    - CVE-2017-10980
  * SECURITY UPDATE: memory leak in fr_dhcp_decode()
    - debian/patches/CVE-2017-10981.patch: fix another memory leak in
      src/lib/dhcp.c.
    - CVE-2017-10981
  * SECURITY UPDATE: read overflow in fr_dhcp_decode_options()
    - debian/patches/CVE-2017-10982.patch: check for long options in
      src/lib/dhcp.c.
    - CVE-2017-10982
  * SECURITY UPDATE: read overflow when decoding option 63
    - debian/patches/CVE-2017-10983.patch: decode correct option in
      src/lib/dhcp.c.
    - CVE-2017-10983

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 26 Jul 2017 10:32:39 -0400

freeradius (2.2.8+dfsg-0.1build2) xenial; urgency=medium

  * Rebuild against libmysqlclient20.

 -- Robie Basak <robie.basak@ubuntu.com>  Tue, 05 Apr 2016 12:22:24 +0000

freeradius (2.2.8+dfsg-0.1build1) xenial; urgency=medium

  * Rebuild for Perl 5.22.1.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 18 Dec 2015 01:07:36 +0000

freeradius (2.2.8+dfsg-0.1) unstable; urgency=medium

  * Non-maintainer Upload
  * New Upstream version
    * Add myself to uploaders
  * Include ubuntu multiarch python patch
  * Include ubuntu autotests (Thanks probably to
    yolanda.robla@canonical.com, marc.deslauriers@ubuntu.com)
  * New standards version; no changes

 -- Sam Hartman <hartmans@debian.org>  Mon, 14 Sep 2015 07:27:09 -0400
