## freeradius 3.0.11+git+DSI1

=== debian/changelog ===
freeradius (3.0.11+git+DSI1) unstable; urgency=medium

  * Changed to DSI version.

 -- Samuel Bernardo <samuelbernardo@tecnico.ulisboa.pt>  Fri, 18 Jul 2016 15:00:00 -0400

freeradius (3.0.11+git) unstable; urgency=medium

  * New upstream version.

 -- Alan DeKok <aland@freeradius.org>  Mon, 05 Oct 2015 15:00:00 -0400

freeradius (3.0.10+git) unstable; urgency=medium

  * New upstream version.

 -- Alan DeKok <aland@freeradius.org>  Wed, 08 Jul 2015 14:00:00 -0400

freeradius (3.0.9+git) unstable; urgency=medium

  * New upstream version.

 -- Alan DeKok <aland@freeradius.org>  Wed, 22 Apr 2015 13:30:00 -0400

freeradius (3.0.8+git) unstable; urgency=medium

  * New upstream version.

 -- Alan DeKok <aland@freeradius.org>  Thu, 19 Feb 2015 12:00:00 -0400

freeradius (3.0.7+git) unstable; urgency=medium

  * New upstream version.

 -- Alan DeKok <aland@freeradius.org>  Wed, 17 Dec 2014 16:00:00 -0400

freeradius (3.0.6+git) unstable; urgency=medium

  * New upstream version.

 -- Alan DeKok <aland@freeradius.org>  Tue, 01 Nov 2014 08:30:00 -0400

freeradius (3.0.5+git) unstable; urgency=medium

  * New upstream version.

 -- Alan DeKok <aland@freeradius.org>  Thu, 23 Sep 2014 08:30:00 -0400

freeradius (3.0.4+git) unstable; urgency=medium

  * New upstream version.

 -- Alan DeKok <aland@freeradius.org>  Wed, 03 Sep 2014 08:30:00 -0400

freeradius (3.0.3+git) unstable; urgency=medium

  * New upstream version.

 -- Alan DeKok <aland@freeradius.org>  Fri, 21 Mar 2014 08:30:00 -0400

freeradius (3.0.2+git) unstable; urgency=medium

  * New upstream version.

 -- Alan DeKok <aland@freeradius.org>  Wed, 15 Jan 2014 21:23:14 -0400

freeradius (3.0.1+git) unstable; urgency=medium

  * New upstream version.

 -- Alan DeKok <aland@freeradius.org>  Mon, 10 Oct 2013 21:23:14 -0400

freeradius (3.0.0+git) unstable; urgency=medium

  * New upstream version.

 -- Alan DeKok <aland@freeradius.org>  Mon, 07 Oct 2013 15:48:14 -0400
